﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace NetworkModelBuilder.DataModels
{
    public class NodeDataModel
    {
        private int m_internalID;
        private int m_number;
        private string m_name;
        private string m_description;
        private double m_voltageLevel;
        private string m_parentSubstation;
        private string m_parentTransmissionLine;
        private string m_voltage;

        public int InternalID
        {
            get
            {
                return m_internalID;
            }
            set
            {
                m_internalID = value;
            }
        }

        public int Number
        {
            get
            {
                return m_number;
            }
            set
            {
                m_number = value;
            }
        }

        public string Name
        {
            get
            {
                return m_name;
            }
            set
            {
                m_name = value;
            }
        }

        public string Description
        {
            get
            {
                return m_description;
            }
            set
            {
                m_description = value;
            }
        }

        public double VoltageLevel
        {
            get
            {
                return m_voltageLevel;
            }
            set
            {
                m_voltageLevel = value;
            }
        }

        public string ParentSubstation
        {
            get
            {
                return m_parentSubstation;
            }
            set
            {
                m_parentSubstation = value;
            }
        }

        public string ParentTransmissionLine
        {
            get
            {
                return m_parentTransmissionLine;
            }
            set
            {
                m_parentTransmissionLine = value;
            }
        }

        public string Voltage
        {
            get
            {
                return m_voltage;
            }
            set
            {
                m_voltage = value;
            }
        }

        public NodeDataModel()
            :this(1, 1, "Node Name", "Node Description", 500, "Undefined", "Undefined", "Undefined")
        {
        }

        public NodeDataModel(int internalID, int number, string name, string description, double voltageLevel, string parentSubstation, string parentTransmissionLine, string voltage)
        {

            m_internalID = internalID;
            m_number = number;
            m_name = name;
            m_description = description;
            m_voltageLevel = voltageLevel;
            m_parentSubstation = parentSubstation;
            m_parentTransmissionLine = parentTransmissionLine;
            m_voltage = voltage;

        }

    }
}
