﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace NetworkModelBuilder.DataModels
{
    public class StatusWordDataModel
    {
        private int m_internalID;
        private int m_number;
        private string m_description;
        private bool m_isEnabled;
        private string m_measurementKey;

        public int InternalID
        {
            get
            {
                return m_internalID;
            }
            set
            {
                m_internalID = value;
            }
        }

        public int Number
        {
            get
            {
                return m_number;
            }
            set
            {
                m_number = value;
            }
        }

        public string Description
        {
            get
            {
                return m_description;
            }
            set
            {
                m_description = value;
            }
        }

        public bool IsEnabled
        {
            get
            {
                return m_isEnabled;
            }
            set
            {
                m_isEnabled = value;
            }
        }

        public string MeasurementKey
        {
            get
            {
                return m_measurementKey;
            }
            set
            {
                m_measurementKey = value;
            }
        }

        public StatusWordDataModel()
            :this(1, 1, "Status Word Description", true, "Undefined")
        {
        }

        public StatusWordDataModel(int internalID, int number, string description, bool isEnabled, string measurementKey)
        {
            m_internalID = internalID;
            m_number = number;
            m_description = description;
            m_isEnabled = isEnabled;
            m_measurementKey = measurementKey;
        }
    }
}
