﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace NetworkModelBuilder.DataModels
{
    public class TransmissionLineDataModel
    {
        private int m_internalID;
        private int m_number;
        private string m_acronym;
        private string m_name;
        private string m_description;
        private string m_parentDivision;
        private string m_fromSubstation;
        private int m_fromNode;
        private string m_toSubstation;
        private int m_toNode;
        private string m_fromCurrent;
        private string m_toCurrent;

        public int InternalID
        {
            get
            {
                return m_internalID;
            }
            set
            {
                m_internalID = value;
            }
        }

        public int Number
        {
            get
            {
                return m_number;
            }
            set
            {
                m_number = value;
            }
        }

        public string Acronym
        {
            get
            {
                return m_acronym;
            }
            set
            {
                m_acronym = value;
            }
        }

        public string Name
        {
            get
            {
                return m_name;
            }
            set
            {
                m_name = value;
            }
        }

        public string Description
        {
            get
            {
                return m_description;
            }
            set
            {
                m_description = value;
            }
        }

        public string ParentDivision
        {
            get
            {
                return m_parentDivision;
            }
            set
            {
                m_parentDivision = value;
            }
        }

        public string FromSubstation
        {
            get
            {
                return m_fromSubstation;
            }
            set
            {
                m_fromSubstation = value;
            }
        }

        public int FromNode
        {
            get
            {
                return m_fromNode;
            }
            set
            {
                m_fromNode = value;
            }
        }

        public string ToSubstation
        {
            get
            {
                return m_toSubstation;
            }
            set
            {
                m_toSubstation = value;
            }
        }

        public int ToNode
        {
            get
            {
                return m_toNode;
            }
            set
            {
                m_toNode = value;
            }
        }

        public string FromCurrent
        {
            get
            {
                return m_fromCurrent;
            }
            set
            {
                m_fromCurrent = value;
            }
        }

        public string ToCurrent
        {
            get
            {
                return m_toCurrent;
            }
            set
            {
                m_toCurrent = value;
            }
        }

        public TransmissionLineDataModel()
            :this(1, 1, "TL", "Transmission Line Name", "Transmission Line Description", "Undefined", "Undefined", 0, "Undefined", 0, "Undefined", "Undefined")
        {
        }

        public TransmissionLineDataModel(int internalID, int number, string acronym, string name, string description, string parentDivision, string fromSubstation, int fromNode, string toSubstation, int toNode, string fromCurrent, string toCurrent)
        {
            m_internalID = internalID;
            m_number = number;
            m_acronym = acronym;
            m_name = name;
            m_description = description;
            m_parentDivision = parentDivision;
            m_fromSubstation = fromSubstation;
            m_fromNode = fromNode;
            m_toSubstation = toSubstation;
            m_toNode = toNode;
            m_fromCurrent = fromCurrent;
            m_toCurrent = toCurrent;
        }

    }
}
