﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace NetworkModelBuilder.DataModels
{
    public class VoltageLevelDataModel
    {
        private int m_internalID;
        private double m_baseKV;


        public int InternalID
        {
            get
            {
                return m_internalID;
            }
            set
            {
                m_internalID = value;
            }
        }

        public double BaseKV
        {
            get
            {
                return m_baseKV;
            }
            set
            {
                m_baseKV = value;
            }
        }

        public VoltageLevelDataModel()
            :this(1, 500)
        {
        }

        public VoltageLevelDataModel(int internalID, double baseKV)
        {
            m_internalID = internalID;
            m_baseKV = baseKV;
        }

    }
}
